<?xml version='1.0' encoding='utf-8'?>

<creole>
    <files>
        <file name="/etc/synchro_aaf.conf" filelist="aaf_synchronize" rm="True"/>
    </files>
    <variables>
        <family name="Synchronisation AAF" icon='download'>
            <variable name="aaf_synchronize" description="Création des répertoires locaux automatique sur le serveur courant" type="oui/non" mandatory="True">
                <value>non</value>
            </variable>
            <variable name="aaf_synchronize_type" description="Synchronization des répertoires liés à" mandatory="True">
                <value>pédagogie et administratif</value>
            </variable>
            <variable name="aaf_quota_student" description="Quota pour les élèves (Mo)" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_student" description="Quota à ne pas dépasser pour les élèves (Mo)" type="number" mandatory="True"/>
            <variable name="aaf_quota_teacher" description="Quota pour les enseignants (Mo)" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_teacher" description="Quota à ne pas dépasser pour les enseignants (Mo)" type="number" mandatory="True"/>
            <variable name="aaf_quota_administrative" description="Quota pour les administratifs (Mo)" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_administrative" description="Quota à ne pas dépasser pour les administratifs (Mo)" type="number" mandatory="True"/>
        </family>
        <separators>
            <separator name='aaf_quota_student'>Affectation des quotas</separator>
        </separators>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_ad_homes_share'>
            <param>non</param>
            <target type='family'>synchronisation aaf</target>
        </condition>
        <condition name='disabled_if_in' source='ad_server_role'>
            <param>controleur de domaine</param>
            <target type='family'>synchronisation aaf</target>
        </condition>
        <condition name='disabled_if_in' source='aaf_synchronize'>
            <param>non</param>
            <target type='variable'>aaf_quota_student</target>
            <target type='variable'>aaf_quota_hard_student</target>
            <target type='variable'>aaf_quota_teacher</target>
            <target type='variable'>aaf_quota_hard_teacher</target>
            <target type='variable'>aaf_quota_administrative</target>
            <target type='variable'>aaf_quota_hard_administrative</target>
            <target type='variable'>aaf_synchronize_type</target>
            <target type='filelist'>aaf_synchronize</target>
        </condition>
        <check name="valid_enum" target="aaf_synchronize_type">
            <param>['pédagogie', 'administratif', 'pédagogie et administratif']</param>
        </check>
    </constraints>
</creole>
